Name:           pam_pkcs11
Version:        0.6.11
Release:        1%{?dist}
Summary:        PKCS #11 PAM module

License:        LGPLv2
URL:            https://opensc.github.io/pam_pkcs11
Source0:        https://github.com/OpenSC/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  pam-devel, openssl-devel, pcsc-lite-devel automake >= 1.7.8 libtool gettext
Requires:       pam, openssl, pcsc-lite

%description
This Linux-PAM module allows a X.509 certificate based user
authentication. The certificate and its dedicated private key are thereby
accessed by means of an appropriate PKCS #11 module. For the
verification of the users' certificates, locally stored CA
certificates as well as either online or locally accessible CRLs are
used.
Adittional included pam_pkcs11 related tools
- pkcs11_eventmgr: Generate actions on card insert/removal/timeout events
- pklogin_finder: Get the loginname that maps to a certificate
- pkcs11_inspect: Inspect the contents of a certificate
- make_hash_links: create hash link directories for storeing CA's and CRL's

%prep
%autosetup -n %{name}-%{name}-%{version}


%build
./bootstrap
%configure --with-ldap=no
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%{_bindir}/card_eventmgr
%{_bindir}/pkcs11_eventmgr
%{_bindir}/pkcs11_inspect
%{_bindir}/pkcs11_listcerts
%{_bindir}/pkcs11_make_hash_link
%{_bindir}/pkcs11_setup
%{_bindir}/pklogin_finder
%{_libdir}/pam_pkcs11/opensc_mapper.la
%{_libdir}/pam_pkcs11/opensc_mapper.so
%{_libdir}/pam_pkcs11/openssh_mapper.la
%{_libdir}/pam_pkcs11/openssh_mapper.so
%{_libdir}/security/pam_pkcs11.la
%{_libdir}/security/pam_pkcs11.so
/usr/share/locale/*/LC_MESSAGES/pam_pkcs11.mo

#%license add-license-file-here

%doc
/usr/share/doc/pam_pkcs11/*
%{_mandir}/man1/card_eventmgr.1.gz
%{_mandir}/man1/pkcs11_*
%{_mandir}/man1/pklogin_finder.1.gz
%{_mandir}/man8/pam_pkcs11.8.gz



%changelog
* Tue Dec 10 2019 Zack Emmert <zemmert@librem.one>
- Initial package release
